Index: external/fastjet/plugins/ATLASCone/ATLASConePlugin.cc
===================================================================
--- external/fastjet/plugins/ATLASCone/ATLASConePlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/ATLASCone/ATLASConePlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: ATLASConePlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // fastjet stuff
Index: external/fastjet/plugins/ATLASCone/fastjet/ATLASConePlugin.hh
===================================================================
--- external/fastjet/plugins/ATLASCone/fastjet/ATLASConePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/ATLASCone/fastjet/ATLASConePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id: ATLASConePlugin.hh 2758 2011-11-24 08:31:58Z soyez $
+//FJSTARTHEADER
+// $Id: ATLASConePlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // Note on the implementation:
Index: external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc
===================================================================
--- external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: CDFJetCluPlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/CDFJetCluPlugin.hh"
Index: external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc
===================================================================
--- external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: CDFMidPointPlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/CDFMidPointPlugin.hh"
Index: external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc
===================================================================
--- external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -11,4 +11,8 @@
 // History of changes compared to the original JetCluAlgorithm.cc file
 // 
+// 2014-08-13 Matteo Cacciari and Gavin Salam
+//        * commented out towers variable in JetCluAlgorithm::buildPreClusters
+//          interface to avoid compiler warning
+//
 // 2011-11-14  Gregory Soyez  <soyez@fastjet.fr>
 //
@@ -55,5 +59,7 @@
 }
 
-void JetCluAlgorithm::buildPreClusters(std::vector<Cluster>& seedTowers, std::vector<PhysicsTower>& towers,
+// MC+GPS 2014-08-13, commented out the towers variable to avoid an
+// unused variable warning
+void JetCluAlgorithm::buildPreClusters(std::vector<Cluster>& seedTowers, std::vector<PhysicsTower>& /*towers*/,
 				       std::vector<Cluster>& preClusters)
 {
Index: external/fastjet/plugins/CDFCones/MidPointAlgorithm.cc
===================================================================
--- external/fastjet/plugins/CDFCones/MidPointAlgorithm.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CDFCones/MidPointAlgorithm.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -11,4 +11,9 @@
 // History of changes compared to the original MidPointAlgorithm.cc file
 // 
+// 2014-08-13 Matteo Cacciari and Gavin Salam
+//        * changed a number of int -> unsigned (and in one case
+//          added explicit conversion to int) to eliminate
+//          long-standing compiler warnings
+//
 // 2009-01-17  Gregory Soyez  <soyez@fastjet.fr>
 // 
@@ -68,9 +73,11 @@
   std::vector< std::vector<bool> > distanceOK;
   distanceOK.resize(stableCones.size() - 1);
-  for(int nCluster1 = 1; nCluster1 < stableCones.size(); nCluster1++){
+  // MC+GPS 2014-08-13, replaced int with unsigned
+  for(unsigned nCluster1 = 1; nCluster1 < stableCones.size(); nCluster1++){
     distanceOK[nCluster1 - 1].resize(nCluster1);
     double cluster1Rapidity = stableCones[nCluster1].fourVector.y();
     double cluster1Phi      = stableCones[nCluster1].fourVector.phi();
-    for(int nCluster2 = 0; nCluster2 < nCluster1; nCluster2++){
+    // MC+GPS 2014-08-13, replaced int with unsigned
+    for(unsigned nCluster2 = 0; nCluster2 < nCluster1; nCluster2++){
       double cluster2Rapidity = stableCones[nCluster2].fourVector.y();
       double cluster2Phi      = stableCones[nCluster2].fourVector.phi();
@@ -94,8 +101,10 @@
   // Loop over all combinations. Calculate MidPoint. Make midPointClusters.
   bool reduceConeSize = false;
-  for(int iPair = 0; iPair < pairs.size(); iPair++){
+  // MC+GPS 2014-08-13, replaced int with unsigned
+  for(unsigned iPair = 0; iPair < pairs.size(); iPair++){
     // Calculate rapidity, phi and pT of MidPoint.
     LorentzVector midPoint(0,0,0,0);
-    for(int iPairMember = 0; iPairMember < pairs[iPair].size(); iPairMember++)
+    // MC+GPS 2014-08-13, replaced int with unsigned
+    for(unsigned iPairMember = 0; iPairMember < pairs[iPair].size(); iPairMember++)
       midPoint.add(stableCones[pairs[iPair][iPairMember]].fourVector);
     iterateCone(midPoint.y(),midPoint.phi(),midPoint.pt(),towers,stableCones,reduceConeSize);
@@ -174,8 +183,10 @@
   if(testPair.size())
     nextClusterStart = testPair.back() + 1;
-  for(int nextCluster = nextClusterStart; nextCluster <= distanceOK.size(); nextCluster++){
+  // MC+GPS 2014-08-13, replaced int nextCluster with unsigned
+  for(unsigned nextCluster = nextClusterStart; nextCluster <= distanceOK.size(); nextCluster++){
     // Is new SeedCone less than 2*_coneRadius apart from all clusters in testPair?
     bool addCluster = true;
-    for(int iCluster = 0; iCluster < testPair.size() && addCluster; iCluster++)
+    // MC+GPS 2014-08-13, replaced int iCluster with unsigned
+    for(unsigned iCluster = 0; iCluster < testPair.size() && addCluster; iCluster++)
       if(!distanceOK[nextCluster - 1][testPair[iCluster]])
 	addCluster = false;
@@ -187,5 +198,6 @@
 	pairs.push_back(testPair);
       // If not bigger than allowed, find more clusters within 2*_coneRadius.
-      if(testPair.size() < maxClustersInPair)
+      // GPS+MC 2014-08-13, replaced testPair.size() with int(testPair.size())
+      if(int(testPair.size()) < maxClustersInPair)
 	addClustersToPairs(testPair,pairs,distanceOK,maxClustersInPair);
       // All combinations containing testPair found. Remove last element.
Index: external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh
===================================================================
--- external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id: CDFJetCluPlugin.hh 2758 2011-11-24 08:31:58Z soyez $
+//FJSTARTHEADER
+// $Id: CDFJetCluPlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #ifndef __CDFJETCLUPLUGIN_HH__
Index: external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh
===================================================================
--- external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id: CDFMidPointPlugin.hh 2758 2011-11-24 08:31:58Z soyez $
+//FJSTARTHEADER
+// $Id: CDFMidPointPlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #ifndef __CDFMIDPOINTPLUGIN_HH__
Index: external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.cc
===================================================================
--- external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,38 +1,31 @@
-//STARTHEADER
-// $Id$
-//
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
-// Copyright (c) ????-????, CMS [for the iterative-cone code itself]
+//FJSTARTHEADER
+// $Id: CMSIterativeConePlugin.cc 1504 2009-04-10 13:39:48Z salam $
+//
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
-// This file is part of FastJet. It contains code that has been
-// obtained from the CMS collaboration, revision 1.14 of the
-// CMSIterativeConeAlgorithm.cc file in CMSSW, see
-//   http://cmssw.cvs.cern.ch/cgi-bin/cmssw.cgi/CMSSW/RecoJets/JetAlgorithms/src/CMSIterativeConeAlgorithm.cc?hideattic=0&revision=1.14&view=markup
-//
-// Permission has been granted by the CMS collaboration to release it
-// in FastJet under the terms of the GNU Public License(v2) (see the
-// COPYING file in the main FastJet directory for details).
-// Changes from the original file are listed below.
-//
-// FastJet is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation; either version 2 of the License, or
-// (at your option) any later version.
-//
-// The algorithms that underlie FastJet have required considerable
-// development and are described in hep-ph/0512210. If you use
-// FastJet as part of work towards a scientific publication, please
-// include a citation to the FastJet paper.
-//
-// FastJet is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with FastJet. If not, see <http://www.gnu.org/licenses/>.
+// This file is part of FastJet.
+//
+//  FastJet is free software; you can redistribute it and/or modify
+//  it under the terms of the GNU General Public License as published by
+//  the Free Software Foundation; either version 2 of the License, or
+//  (at your option) any later version.
+//
+//  The algorithms that underlie FastJet have required considerable
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
+//  FastJet as part of work towards a scientific publication, please
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
+//
+//  FastJet is distributed in the hope that it will be useful,
+//  but WITHOUT ANY WARRANTY; without even the implied warranty of
+//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+//  GNU General Public License for more details.
+//
+//  You should have received a copy of the GNU General Public License
+//  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // List of changes compared to the original CMS code (revision 1.14 of
Index: external/fastjet/plugins/CMSIterativeCone/fastjet/CMSIterativeConePlugin.hh
===================================================================
--- external/fastjet/plugins/CMSIterativeCone/fastjet/CMSIterativeConePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/CMSIterativeCone/fastjet/CMSIterativeConePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
+//FJSTARTHEADER
 // $Id: CMSIterativeConePlugin.hh 1508 2009-04-10 22:46:49Z soyez $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #ifndef __CMSITERATIVECONEPLUGIN_HH__
Index: external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.cc
===================================================================
--- external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
-//
-// Copyright (c) 2009-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+//FJSTARTHEADER
+// $Id: D0RunIBaseConePlugin.cc 1779 2010-10-25 10:32:59Z soyez $
+//
+// Copyright (c) 2009-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // D0 stuff
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIBaseConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIBaseConePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIBaseConePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -2,8 +2,8 @@
 #define __D0RUNIBASECONEPLUGIN_HH__
 
-//STARTHEADER
+//FJSTARTHEADER
 // $Id: D0RunIBaseConePlugin.hh 1778 2010-10-25 10:02:58Z soyez $
 //
-// Copyright (c) 2009-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2009-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -16,7 +16,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -28,5 +30,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/JetDefinition.hh"
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -2,8 +2,8 @@
 #define __D0RUNICONEPLUGIN_HH__
 
-//STARTHEADER
+//FJSTARTHEADER
 // $Id: D0RunIConePlugin.hh 1778 2010-10-25 10:02:58Z soyez $
 //
-// Copyright (c) 2009-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2009-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -16,7 +16,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -28,5 +30,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "D0RunIBaseConePlugin.hh"
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -2,8 +2,8 @@
 #define __D0RUNIPRE96CONEPLUGIN_HH__
 
-//STARTHEADER
+//FJSTARTHEADER
 // $Id: D0RunIpre96ConePlugin.hh 1778 2010-10-25 10:02:58Z soyez $
 //
-// Copyright (c) 2009-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2009-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -16,7 +16,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -28,5 +30,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "D0RunIBaseConePlugin.hh"
Index: external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.cc
===================================================================
--- external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: D0RunIIConePlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/D0RunIIConePlugin.hh"
Index: external/fastjet/plugins/D0RunIICone/ILConeAlgorithm.hpp
===================================================================
--- external/fastjet/plugins/D0RunIICone/ILConeAlgorithm.hpp	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/D0RunIICone/ILConeAlgorithm.hpp	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -49,5 +49,4 @@
 //
 // 2012-06-12  Gregory Soyez  <soyez@fastjet.fr>
-//
 //        * Replaced addItem(...) by this->addItem(...) to allow
 //          compilation with gcc 4.7 which no longer performs
Index: external/fastjet/plugins/D0RunIICone/fastjet/D0RunIIConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunIICone/fastjet/D0RunIIConePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/D0RunIICone/fastjet/D0RunIIConePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -2,8 +2,8 @@
 #define __D0RUNIICONEPLUGIN_HH__
 
-//STARTHEADER
-// $Id: D0RunIIConePlugin.hh 2761 2011-11-24 13:54:05Z soyez $
+//FJSTARTHEADER
+// $Id: D0RunIIConePlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -16,7 +16,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -28,5 +30,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/JetDefinition.hh"
Index: external/fastjet/plugins/EECambridge/EECambridgePlugin.cc
===================================================================
--- external/fastjet/plugins/EECambridge/EECambridgePlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/EECambridge/EECambridgePlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: EECambridgePlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // fastjet stuff
Index: external/fastjet/plugins/EECambridge/fastjet/EECambridgePlugin.hh
===================================================================
--- external/fastjet/plugins/EECambridge/fastjet/EECambridgePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/EECambridge/fastjet/EECambridgePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -2,8 +2,8 @@
 #define __EECAMBRIDGEPLUGIN_HH__
 
-//STARTHEADER
-// $Id: EECambridgePlugin.hh 2692 2011-11-14 16:27:44Z soyez $
+//FJSTARTHEADER
+// $Id: EECambridgePlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2009, Matteo Cacciari, Gavin Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -16,7 +16,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -28,5 +30,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 
@@ -82,4 +84,8 @@
   virtual bool exclusive_sequence_meaningful() const {return true;}
 
+  /// returns true because this plugin is intended for spherical
+  /// geometries (i.e. it's an e+e- algorithm).
+  virtual bool is_spherical() const {return true;}
+
 private:
   double _ycut;
Index: external/fastjet/plugins/GridJet/GridJetPlugin.cc
===================================================================
--- external/fastjet/plugins/GridJet/GridJetPlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/GridJet/GridJetPlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
-//
-// Copyright (c) 2011, Matteo Cacciari, Gavin Salam and Gregory Soyez
+//FJSTARTHEADER
+// $Id: GridJetPlugin.cc 2268 2011-06-20 15:12:26Z salam $
+//
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // fastjet stuff
@@ -43,4 +45,8 @@
                               double requested_grid_spacing, 
                               const JetDefinition & post_jet_def) :
+#ifdef FASTJET_GRIDJET_USEFJGRID
+  RectangularGrid(ymax, requested_grid_spacing), _post_jet_def(post_jet_def) {
+}
+#else
   _ymin(-ymax), _ymax(ymax), 
   _requested_grid_spacing(requested_grid_spacing) ,
@@ -49,5 +55,16 @@
   setup_grid();
 }
-
+#endif
+
+#ifdef FASTJET_GRIDJET_USEFJGRID
+GridJetPlugin::GridJetPlugin (const RectangularGrid & grid,
+                              const JetDefinition & post_jet_def) : 
+  RectangularGrid(grid), _post_jet_def(post_jet_def) {
+  if (!RectangularGrid::is_initialised()) 
+    throw Error("attempt to construct GridJetPlugin with uninitialised RectangularGrid");
+}
+#endif // FASTJET_GRIDJET_USEFJGRID
+
+#ifndef FASTJET_GRIDJET_USEFJGRID
 void GridJetPlugin::setup_grid() {
   // since we've exchanged the arguments of the constructor,
@@ -69,22 +86,6 @@
 }
 
-
-//----------------------------------------------------------------------
-string GridJetPlugin::description () const {
-  ostringstream desc;
-  desc << "GridJetPlugin plugin with ymax = " << _ymax << ", dy = " << _dy << ", dphi = " << _dphi << " (requested grid spacing was " << _requested_grid_spacing << ")";
-  if (_post_jet_def.jet_algorithm() != undefined_jet_algorithm) {
-    desc << ", followed by " << _post_jet_def.description();
-  }
-  return desc.str();
-}
-
-
-//----------------------------------------------------------------------
-double GridJetPlugin::R() const {return sqrt(_dy*_dphi/pi);}
-
-
-//----------------------------------------------------------------------
-int GridJetPlugin::igrid(const PseudoJet & p) const {
+//----------------------------------------------------------------------
+int GridJetPlugin::tile_index(const PseudoJet & p) const {
   // directly taking int does not work for values between -1 and 0
   // so use floor instead
@@ -108,4 +109,25 @@
   return igrid_res;
 }
+#endif // not FASTJET_GRIDJET_USEFJGRID
+
+
+//----------------------------------------------------------------------
+string GridJetPlugin::description () const {
+  ostringstream desc;
+  desc << "GridJetPlugin plugin with ";
+#ifndef FASTJET_GRIDJET_USEFJGRID
+  desc << "ymax = " << _ymax << ", dy = " << _dy << ", dphi = " << _dphi << " (requested grid spacing was " << _requested_grid_spacing << ")";
+#else
+  desc << RectangularGrid::description();
+#endif
+  if (_post_jet_def.jet_algorithm() != undefined_jet_algorithm) {
+    desc << ", followed by " << _post_jet_def.description();
+  }
+  return desc.str();
+}
+
+
+//----------------------------------------------------------------------
+double GridJetPlugin::R() const {return sqrt(drap()*dphi()/pi);}
 
 
@@ -117,5 +139,5 @@
   //  * a number >= 0 will mean that particle indicated by the index
   //    is currently the jet on the grid
-  vector<int> grid(_ntotal, -1);
+  vector<int> grid(n_tiles(), -1);
  
   int nparticles = cs.jets().size();
@@ -126,9 +148,9 @@
   // combine particles with whatever is in the grid
   for (int i = 0; i < nparticles; i++) {
-    int igrd = igrid(cs.jets()[i]);
+    int igrd = tile_index(cs.jets()[i]);
     //cout << i << " " << cs.jets()[i].rap() << " " << cs.jets()[i].phi() 
     // 	 << " " << igrd << " " << grid.size() << " " << _ntotal << endl;
     if (igrd < 0) continue;
-    assert(igrd <= _ntotal);
+    assert(igrd <= n_tiles());
     if (grid[igrd] == -1) {
       grid[igrd] = i; // jet index of initial particle i is i
@@ -145,6 +167,6 @@
     // make the final jets via iB recombinations
     for (unsigned igrd = 0; igrd < grid.size(); igrd++) {
-      if (grid[igrd] != -1) cs.plugin_record_iB_recombination(grid[igrd], 
-							      dij_or_diB);
+      if (grid[igrd] != -1 && tile_is_good(igrd)) 
+                   cs.plugin_record_iB_recombination(grid[igrd], dij_or_diB);
     }
   } else {
Index: external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh
===================================================================
--- external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,9 +1,9 @@
-#ifndef __GRIDJETPLUGIN_HH__
-#define __GRIDJETPLUGIN_HH__
+#ifndef __FASTJET_GRIDJETPLUGIN_HH__
+#define __FASTJET_GRIDJETPLUGIN_HH__
 
-//STARTHEADER
+//FJSTARTHEADER
 // $Id: GridJetPlugin.hh 2267 2011-06-20 15:10:23Z salam $
 //
-// Copyright (c) 2011, Matteo Cacciari, Gavin Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -16,7 +16,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -28,8 +30,16 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 
 #include "fastjet/JetDefinition.hh"
+
+// makes it easy to switch back and forth between use of
+// RectangularGrid or not; this got enabled in FJ3.1
+#define FASTJET_GRIDJET_USEFJGRID
+
+#ifdef FASTJET_GRIDJET_USEFJGRID
+#include "fastjet/RectangularGrid.hh"
+#endif
 
 FASTJET_BEGIN_NAMESPACE      // defined in fastjet/internal/base.hh
@@ -49,7 +59,11 @@
 /// but is rather provided for comparison purposes with the 
 /// GridMedianBackgroundEstimator (which is even faster).
-class GridJetPlugin : public JetDefinition::Plugin {
+class GridJetPlugin : public JetDefinition::Plugin 
+#ifdef FASTJET_GRIDJET_USEFJGRID
+                                      , RectangularGrid
+#endif 
+{
 public:
-  /// Main constructor for the GridJetPlugin Plugin class.
+  /// Basic constructor for the GridJetPlugin Plugin class.
   ///
   /// \param ymax           The maximal rapidity extent of the grid
@@ -62,8 +76,23 @@
 		 const JetDefinition & post_jet_def = JetDefinition());
 
-  /// copy constructor
-  GridJetPlugin (const GridJetPlugin & plugin) {
-    *this = plugin;
-  }
+#ifdef FASTJET_GRIDJET_USEFJGRID
+  /// Constructor for the GridJetPlugin Plugin class that allows
+  /// full control over the underlying grid. New in FastJet 3.1.
+  ///
+  /// \param grid           The maximal rapidity extent of the grid
+  /// \param post_jet_def   if present, and not == JetDefinition()
+  ///                       (which has undefined_jet_algorithm), then
+  ///                       run the post_jet_def on the result of the grid
+  ///                       clustering.
+  GridJetPlugin (const RectangularGrid & grid,
+		 const JetDefinition & post_jet_def = JetDefinition());
+#endif // FASTJET_GRIDJET_USEFJGRID
+
+  
+
+  // /// copy constructor
+  // GridJetPlugin (const GridJetPlugin & plugin) {
+  //   *this = plugin;
+  // }
 
   // the things that are required by base class
@@ -75,4 +104,7 @@
   virtual double R() const;
 
+  // As of FastJet 3.1 the following functions become available through
+  // the underlying RectangularGrid class.
+#ifndef FASTJET_GRIDJET_USEFJGRID
   /// returns the actual rapidity spacing of the grid
   double drap()   const {return _dy;}
@@ -83,13 +115,20 @@
   /// returns the maximum rapidity of the grid
   double rapmax() const {return _ymax;}
+#endif
 
 private:
 
+#ifndef FASTJET_GRIDJET_USEFJGRID
   void setup_grid();
 
-  int igrid(const PseudoJet & p) const;
+  int n_tiles() const {return _ntotal;}
+  int n_good_tiles() const {return _ntotal;}
+
+  int tile_index(const PseudoJet & p) const;
+  bool tile_is_good(int /* itile */) const {return true;}
 
   double _ymin, _ymax, _dy, _dphi, _requested_grid_spacing;
   int _ny, _nphi, _ntotal;
+#endif
 
   JetDefinition _post_jet_def;
@@ -99,4 +138,4 @@
 FASTJET_END_NAMESPACE        // defined in fastjet/internal/base.hh
 
-#endif // __GRIDJETPLUGIN_HH__
+#endif // __FASTJET_GRIDJETPLUGIN_HH__
 
Index: external/fastjet/plugins/Jade/JadePlugin.cc
===================================================================
--- external/fastjet/plugins/Jade/JadePlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/Jade/JadePlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: JadePlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // fastjet stuff
Index: external/fastjet/plugins/Jade/fastjet/JadePlugin.hh
===================================================================
--- external/fastjet/plugins/Jade/fastjet/JadePlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/Jade/fastjet/JadePlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -2,8 +2,8 @@
 #define __JADEPLUGIN_HH__
 
-//STARTHEADER
-// $Id: JadePlugin.hh 2577 2011-09-13 15:11:38Z salam $
+//FJSTARTHEADER
+// $Id: JadePlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2009, Matteo Cacciari, Gavin Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -16,7 +16,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -28,5 +30,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/JetDefinition.hh"
Index: external/fastjet/plugins/NestedDefs/NestedDefsPlugin.cc
===================================================================
--- external/fastjet/plugins/NestedDefs/NestedDefsPlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/NestedDefs/NestedDefsPlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: NestedDefsPlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // TODO
Index: external/fastjet/plugins/NestedDefs/fastjet/NestedDefsPlugin.hh
===================================================================
--- external/fastjet/plugins/NestedDefs/fastjet/NestedDefsPlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/NestedDefs/fastjet/NestedDefsPlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id: NestedDefsPlugin.hh 2577 2011-09-13 15:11:38Z salam $
+//FJSTARTHEADER
+// $Id: NestedDefsPlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #ifndef __NESTEDALGSPLUGIN_HH__
Index: external/fastjet/plugins/SISCone/SISConePlugin.cc
===================================================================
--- external/fastjet/plugins/SISCone/SISConePlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/SISConePlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -207,5 +207,10 @@
 
   // give the extras object to the cluster sequence.
-  clust_seq.plugin_associate_extras(std::auto_ptr<ClusterSequence::Extras>(extras));
+  // 
+  // As of v3.1 of FastJet, extras are automatically owned (as
+  // SharedPtr) by the ClusterSequence and auto_ptr is deprecated. So
+  // we can use a simple pointer here
+  //clust_seq.plugin_associate_extras(std::auto_ptr<ClusterSequence::Extras>(extras));
+  clust_seq.plugin_associate_extras(extras);
 }
 
Index: external/fastjet/plugins/SISCone/area.cc
===================================================================
--- external/fastjet/plugins/SISCone/area.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/area.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 149                                                          $//
+// $Date:: 2007-03-15 00:13:58 +0100 (Thu, 15 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/area.h
===================================================================
--- external/fastjet/plugins/SISCone/area.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/area.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 149                                                          $//
+// $Date:: 2007-03-15 00:13:58 +0100 (Thu, 15 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/circulator.h
===================================================================
--- external/fastjet/plugins/SISCone/circulator.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/circulator.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 103                                                          $//
+// $Date:: 2007-02-18 17:07:34 +0100 (Sun, 18 Feb 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/config.h
===================================================================
--- external/fastjet/plugins/SISCone/config.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/config.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -54,7 +54,4 @@
 #define PACKAGE_TARNAME "siscone"
 
-/* Define to the home page for this package. */
-/* #undef PACKAGE_URL */
-
 /* Define to the version of this package. */
 #define PACKAGE_VERSION "2.0.6"
Index: external/fastjet/plugins/SISCone/defines.h
===================================================================
--- external/fastjet/plugins/SISCone/defines.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/defines.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 225                                                          $//
+// $Date:: 2008-05-20 16:59:47 +0200 (Tue, 20 May 2008)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/fastjet/SISConeSphericalPlugin.hh
===================================================================
--- external/fastjet/plugins/SISCone/fastjet/SISConeSphericalPlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/fastjet/SISConeSphericalPlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -152,4 +152,8 @@
   virtual void run_clustering(ClusterSequence &) const ;
 
+  /// returns true because this plugin is intended for spherical
+  /// geometries (i.e. it's an e+e- algorithm).
+  virtual bool is_spherical() const {return true;}
+
 protected:
   virtual void reset_stored_plugin() const;
Index: external/fastjet/plugins/SISCone/geom_2d.cc
===================================================================
--- external/fastjet/plugins/SISCone/geom_2d.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/geom_2d.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 171                                                          $//
+// $Date:: 2007-06-19 16:26:05 +0200 (Tue, 19 Jun 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/geom_2d.h
===================================================================
--- external/fastjet/plugins/SISCone/geom_2d.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/geom_2d.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 268                                                          $//
+// $Date:: 2009-03-12 21:24:16 +0100 (Thu, 12 Mar 2009)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/hash.cc
===================================================================
--- external/fastjet/plugins/SISCone/hash.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/hash.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 225                                                          $//
+// $Date:: 2008-05-20 16:59:47 +0200 (Tue, 20 May 2008)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/hash.h
===================================================================
--- external/fastjet/plugins/SISCone/hash.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/hash.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 224                                                          $//
+// $Date:: 2008-05-16 19:58:30 +0200 (Fri, 16 May 2008)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/momentum.cc
===================================================================
--- external/fastjet/plugins/SISCone/momentum.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/momentum.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 123                                                          $//
+// $Date:: 2007-03-01 02:52:16 +0100 (Thu, 01 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/momentum.h
===================================================================
--- external/fastjet/plugins/SISCone/momentum.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/momentum.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 163                                                          $//
+// $Date:: 2007-04-26 22:31:02 +0200 (Thu, 26 Apr 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/protocones.cc
===================================================================
--- external/fastjet/plugins/SISCone/protocones.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/protocones.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 322                                                          $//
+// $Date:: 2011-11-15 10:12:36 +0100 (Tue, 15 Nov 2011)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/protocones.h
===================================================================
--- external/fastjet/plugins/SISCone/protocones.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/protocones.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 224                                                          $//
+// $Date:: 2008-05-16 19:58:30 +0200 (Fri, 16 May 2008)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/quadtree.cc
===================================================================
--- external/fastjet/plugins/SISCone/quadtree.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/quadtree.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 320                                                          $//
+// $Date:: 2011-11-15 09:54:50 +0100 (Tue, 15 Nov 2011)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/quadtree.h
===================================================================
--- external/fastjet/plugins/SISCone/quadtree.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/quadtree.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 123                                                          $//
+// $Date:: 2007-03-01 02:52:16 +0100 (Thu, 01 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/reference.cc
===================================================================
--- external/fastjet/plugins/SISCone/reference.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/reference.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 311                                                          $//
+// $Date:: 2011-10-05 23:27:09 +0200 (Wed, 05 Oct 2011)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/reference.h
===================================================================
--- external/fastjet/plugins/SISCone/reference.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/reference.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 123                                                          $//
+// $Date:: 2007-03-01 02:52:16 +0100 (Thu, 01 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/siscone.cc
===================================================================
--- external/fastjet/plugins/SISCone/siscone.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/siscone.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 341                                                          $//
+// $Date:: 2013-04-08 12:21:06 +0200 (Mon, 08 Apr 2013)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/siscone.h
===================================================================
--- external/fastjet/plugins/SISCone/siscone.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/siscone.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 325                                                          $//
+// $Date:: 2011-11-25 12:41:17 +0100 (Fri, 25 Nov 2011)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/siscone_error.cc
===================================================================
--- external/fastjet/plugins/SISCone/siscone_error.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/siscone_error.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 123                                                          $//
+// $Date:: 2007-03-01 02:52:16 +0100 (Thu, 01 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/siscone_error.h
===================================================================
--- external/fastjet/plugins/SISCone/siscone_error.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/siscone_error.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 327                                                          $//
+// $Date:: 2011-11-25 15:19:39 +0100 (Fri, 25 Nov 2011)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/split_merge.cc
===================================================================
--- external/fastjet/plugins/SISCone/split_merge.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/split_merge.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 322                                                          $//
+// $Date:: 2011-11-15 10:12:36 +0100 (Tue, 15 Nov 2011)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/split_merge.h
===================================================================
--- external/fastjet/plugins/SISCone/split_merge.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/split_merge.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 268                                                          $//
+// $Date:: 2009-03-12 21:24:16 +0100 (Thu, 12 Mar 2009)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/vicinity.cc
===================================================================
--- external/fastjet/plugins/SISCone/vicinity.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/vicinity.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -21,6 +21,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 123                                                          $//
+// $Date:: 2007-03-01 02:52:16 +0100 (Thu, 01 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/SISCone/vicinity.h
===================================================================
--- external/fastjet/plugins/SISCone/vicinity.h	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/SISCone/vicinity.h	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -22,6 +22,6 @@
 // Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA //
 //                                                                           //
-// $Revision::                                                              $//
-// $Date::                                                                  $//
+// $Revision:: 123                                                          $//
+// $Date:: 2007-03-01 02:52:16 +0100 (Thu, 01 Mar 2007)                     $//
 ///////////////////////////////////////////////////////////////////////////////
 
Index: external/fastjet/plugins/TrackJet/TrackJetPlugin.cc
===================================================================
--- external/fastjet/plugins/TrackJet/TrackJetPlugin.cc	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/TrackJet/TrackJetPlugin.cc	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,14 +1,9 @@
-//STARTHEADER
-// $Id$
-//
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+//FJSTARTHEADER
+// $Id: TrackJetPlugin.cc 3433 2014-07-23 08:17:03Z salam $
+//
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
-// This file is part of FastJet. It contains code that has been
-// obtained from the Rivet project by Leif Lonnblad, Andy Buckley and
-// Jon Butterworth. See http://www.hepforge.org/downloads/rivet.
-// Rivet is free software released under the terms of the GNU Public
-// License(v2).
-// Changes from the original file are listed below.
+// This file is part of FastJet.
 //
 //  FastJet is free software; you can redistribute it and/or modify
@@ -18,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -30,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 // History of changes from the original TrackJet.cc file in Rivet <=1.1.2
Index: external/fastjet/plugins/TrackJet/fastjet/TrackJetPlugin.hh
===================================================================
--- external/fastjet/plugins/TrackJet/fastjet/TrackJetPlugin.hh	(revision fc396855f72df395374fba109c6de2089b4a7985)
+++ external/fastjet/plugins/TrackJet/fastjet/TrackJetPlugin.hh	(revision fcc959ce6dadc26c0482101574382396aa41bc8d)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id: TrackJetPlugin.hh 2758 2011-11-24 08:31:58Z soyez $
+//FJSTARTHEADER
+// $Id: TrackJetPlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2007-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2007-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #ifndef __TRACKJETPLUGIN_HH__
